import {NgModule} from '@angular/core';
import {Routes, RouterModule} from '@angular/router';
import {HomePageComponent} from "./pages/home-page/home-page.component";
import {MoviesComponent} from "./pages/movies/movies.component";
import {MovieDetailComponent} from "./pages/movie-detail/movie-detail.component";
import {CharactersComponent} from "./pages/characters/characters.component";
import {DiscussionComponent} from "./pages/discussion/discussion.component";
import {NotFoundComponent} from "./pages/not-found/not-found.component";

/**
 *  Pole routes, obsahuje seznam všech rout, které jsou použity v aplikaci.
 **/
const routes: Routes = [
    {path: '', pathMatch: 'full', component: HomePageComponent},
    {path: 'movie', pathMatch: 'full', component: MoviesComponent},
    {path: 'movie/:id', pathMatch: 'full', component: MovieDetailComponent},
    {path: 'characters', pathMatch: 'full', component: CharactersComponent},
    {path: 'discussion', pathMatch: 'full', component: DiscussionComponent},
    {path: '**', component: NotFoundComponent}
];

/**
 *  Routing NgModul, který zajištuje mechanismus routování v rámci aplikace.
 **/
@NgModule({
    imports: [RouterModule.forRoot(routes)],
    exports: [RouterModule]
})
export class AppRoutingModule {
}
