import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {HttpClientModule} from "@angular/common/http";

import {AppRoutingModule} from './app-routing.module';
import {AppComponent} from './app.component';
import {CharactersComponent} from './pages/characters/characters.component';
import {DiscussionComponent} from './pages/discussion/discussion.component';
import {HomePageComponent} from './pages/home-page/home-page.component';
import {MovieDetailComponent} from './pages/movie-detail/movie-detail.component';
import {MoviesComponent} from './pages/movies/movies.component';
import {NotFoundComponent} from './pages/not-found/not-found.component';
import {CharacterComponent} from './pages/characters/character/character.component';
import {NavigationBarComponent} from './components/navigation-bar/navigation-bar.component';
import {FooterComponent} from './components/footer/footer.component';
import {NavigationItemComponent} from './components/navigation-bar/navigation-item/navigation-item.component';
import {MovieComponent} from './pages/movies/movie/movie.component';
import {MessageComponent} from './pages/discussion/message/message.component';
import {FormsModule} from "@angular/forms";


/**
 *  NgModul, který definuje všechny závislosti, které jsou pořeba v rámci aplikace.
 **/
@NgModule({
    declarations: [
        AppComponent,
        CharactersComponent,
        DiscussionComponent,
        HomePageComponent,
        MovieDetailComponent,
        MoviesComponent,
        NotFoundComponent,
        CharacterComponent,
        NavigationBarComponent,
        FooterComponent,
        NavigationItemComponent,
        MovieComponent,
        MessageComponent
    ],
    imports: [
        BrowserModule,
        AppRoutingModule,
        HttpClientModule,
        FormsModule,
    ],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule {
}
