import {Component, Input, OnInit} from '@angular/core';
import {Character} from "../../../model/character.model";

@Component({
    selector: 'app-character',
    templateUrl: './character.component.html',
    styleUrls: ['./character.component.scss']
})
export class CharacterComponent implements OnInit {

    constructor() {
    }

    /**
     *  Vstupní atribut characters, typu Character
     **/
    @Input() character: Character;

    /**
     *  Funkce, která vrací řetězec IS NOT KNOWN v případě, že vstupní parametr má falsy hodnotu
     **/
    valueCheck(value) {
        return !value ? 'IS NOT KNOWN' : value
    };

    /**
     *  Funkce, která na základě pohlaví rozhodne, jaký obrázek má být zobrazen v template komponenty
     **/
    setProperImage(gender) {
        if (gender === 'Male' || gender === 'male') {
            return 'https://cdn0.iconfinder.com/data/icons/famous-character-vol-2-colored/48/JD-41-512.png';
        } else if (gender === 'Female' || gender === 'female') {
            return 'https://cdn0.iconfinder.com/data/icons/famous-character-vol-2-colored/48/JD-42-512.png';
        } else {
            return 'https://cdn0.iconfinder.com/data/icons/famous-character-vol-2-colored/48/JD-40-512.png';
        }
    };

    ngOnInit(): void {
    }

}
