import {Component, OnInit} from '@angular/core';
import {prepend} from 'ramda';
import {Message} from "../../model/message.model";

@Component({
    selector: 'app-discussion',
    templateUrl: './discussion.component.html',
    styleUrls: ['./discussion.component.scss']
})
export class DiscussionComponent implements OnInit {

    constructor() {
    }

    /**
     *  Pole všech zpráv, která obsahuje by-default 3 testovací zprávy.
     **/
    messages: Message[] = [
        new Message(1, '13. 1. 2020', 'Adam Černohorsý', `Lorem ipsum dolor sit amet, 
        consectetuer adipiscing elit. Etiam bibendum elit eget erat. Nullam lectus justo, vulputate eget mollis sed, 
        tempor sed magna. Nulla non lectus sed nisl molestiemalesuada. Phasellus rhoncus. Nam quis nulla. Ut enim ad 
        minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi 
        consequatur? Pellentesque pretium lectus id turpis. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, 
        orci. Aliquam erat volutpat. Mauris elementum mauris vitae tortor. Mauris dictum facilisis augue. Integer 
        rutrum, orci vestibulum ullamcorper ultricies, lacus quam ultricies odio, vitae placerat pede sem sit amet 
        enim. Donec vitae arcu. Suspendisse nisl. Vestibulum fermentum tortor id mi. Integer imperdiet lectus quis 
        justo. Aliquam ante. Morbi scelerisque luctus velit.`),
        new Message(2, '12. 1. 2020', 'Adam Černohorsý', `Lorem ipsum dolor sit amet, 
        consectetuer adipiscing elit. Etiam bibendum elit eget erat. Nullam lectus justo, vulputate eget mollis sed, 
        tempor sed magna. Nulla non lectus sed nisl molestiemalesuada. Phasellus rhoncus. Nam quis nulla. Ut enim ad 
        minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi 
        consequatur? Pellentesque pretium lectus id turpis. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, 
        orci. Aliquam erat volutpat. Mauris elementum mauris vitae tortor. Mauris dictum facilisis augue. Integer 
        rutrum, orci vestibulum ullamcorper ultricies, lacus quam ultricies odio, vitae placerat pede sem sit amet 
        enim. Donec vitae arcu. Suspendisse nisl. Vestibulum fermentum tortor id mi. Integer imperdiet lectus quis 
        justo. Aliquam ante. Morbi scelerisque luctus velit.`),
        new Message(3, '11. 1. 2020', 'Adam Černohorsý', `Lorem ipsum dolor sit amet, 
        consectetuer adipiscing elit. Etiam bibendum elit eget erat. Nullam lectus justo, vulputate eget mollis sed, 
        tempor sed magna. Nulla non lectus sed nisl molestiemalesuada. Phasellus rhoncus. Nam quis nulla. Ut enim ad 
        minima veniam, quis nostrum exercitationem ullam corporis suscipit laboriosam, nisi ut aliquid ex ea commodi 
        consequatur? Pellentesque pretium lectus id turpis. Fusce dui leo, imperdiet in, aliquam sit amet, feugiat eu, 
        orci. Aliquam erat volutpat. Mauris elementum mauris vitae tortor. Mauris dictum facilisis augue. Integer 
        rutrum, orci vestibulum ullamcorper ultricies, lacus quam ultricies odio, vitae placerat pede sem sit amet 
        enim. Donec vitae arcu. Suspendisse nisl. Vestibulum fermentum tortor id mi. Integer imperdiet lectus quis 
        justo. Aliquam ante. Morbi scelerisque luctus velit.`),
    ];

    messageContent: any;

    /**
     *  Funkce zajišťující přidání nové zprávy.
     **/
    addMessage() {
        const date = new Date();
        const messageId = this.messages[0].id + 1;
        const messageUser = 'Adam Černohorský';

        const message = {
            id: messageId,
            date: `${date.toLocaleDateString()} v ${date.toLocaleTimeString()}`,
            user: messageUser,
            content: this.messageContent,
        };

        /**
         * Funkce prepend z knihovny Ramda slouží pro přidání zprávy na začátek pole. Tím pádem se nové zprávy
         * vykreslují na prvních pozicích, kdežto normální chování by je dávalo na konec pole a tím pádem by
         * byly i na konci diskuze
         **/
        this.messages = prepend(message, this.messages);
        this.messageContent = '';
    };


    ngOnInit(): void {
    }

}
