import {Component, OnInit, Input} from '@angular/core';
import {Router} from '@angular/router';
import {Movie} from "../../../model/movie.model";

@Component({
    selector: 'app-movie',
    templateUrl: './movie.component.html',
    styleUrls: ['./movie.component.scss']
})
export class MovieComponent implements OnInit {

    constructor(private router: Router) {
    }

    @Input() movie: Movie;

    /**
     *  Funkce, která zajistí přesměrování URL prohlížeče na novou URL, která se skládá z movie a ID movie,
     *  které vyparsujeme
     **/
    redirectToMovieDetail() {
        this.router.navigate([`movie/${this.movie._id}`]).then(response => {
            if (response) {
                console.log("success!")
            } else {
                console.error(response)
            }
        })
    }

    ngOnInit(): void {
    }
}
