import {Component, OnInit} from '@angular/core';
import {ApiService} from "../../service/api.service";
import {Movie} from "../../model/movie.model";

@Component({
    selector: 'app-movies',
    templateUrl: './movies.component.html',
    styleUrls: ['./movies.component.scss'],
    providers: [ApiService]
})
export class MoviesComponent implements OnInit {

    constructor(private apiService: ApiService) {
    }

    /**
     *  Atribut movie, který očekává datový typ Movie, který je definovaný v modelu.
     **/
    movies: Movie[];

    /**
     *  Dotažení filmů za použití apiService
     **/
    getMovies(): void {
        this.apiService.getWithAuthorization('/movie').subscribe(movies => (this.movies = movies.docs));
    }

    ngOnInit(): void {
        this.getMovies();
    }

}
