import {Injectable} from '@angular/core';
import {HttpClient, HttpHeaders} from '@angular/common/http';

/**
 *  Služba ApiServie v sobě obsahuje API klíč a základní URL pro volání vzdáleného API.
 *  Tato service se stará o vykonání get požadavku na včetně přidání autorizační hlavičky na url, kterou přijímá
 *  jako parametr.
 **/
@Injectable()
export class ApiService {
    private API_KEY = 'Bearer RgLfLp0ts07PcXAiTwlM';

    private BASE_URL = 'https://the-one-api.herokuapp.com/v1';

    /**
     *  Konstruktor přijímá atribut http, kterým je reference na HttpClient. Tímto zápisem dochází k zpřístupnění
     *  atributu http v rámci celé služby.
     **/
    constructor(private http: HttpClient) {
    }

    getWithAuthorization(url): any {
        return this.http.get(`${this.BASE_URL}${url}`, {
            headers: new HttpHeaders(
                {
                    Authorization: this.API_KEY
                }
            )
        });
    }
}
