/**
 *  Importy všech nainstalovaných závislostí, ale i komponenty a stylů, které sami v aplikaci vytváříme.
 **/
import React from 'react';
import { BrowserRouter as Router, Route, Switch } from 'react-router-dom';
import HomePage from './pages/HomePage';
import Movies from './pages/Movies';
import MovieDetail from './pages/MovieDatail';
import Characters from './pages/Characters';
import Discussion from './pages/Discussion';
import NotFound from './pages/NotFound';
import NavigationBar from './components/NavigationBar';
import Footer from './components/Footer';
import './assets/app.scss';

/**
 *  Komponenty na nejvyšší úrovni aplikace, která v sobě obsahuje všechny další komponenty. Zároveň je v <App>
 *  vytvořený router aplikace, který vykresluje komponenty dle příslušné URL v prohlížeči
 **/
const App = () => (
    <Router>
        <NavigationBar/>
        <Switch>
            <Route exact path={'/'} component={HomePage}/>
            <Route exact path={'/movie'} component={Movies}/>
            <Route exact path={'/movie/:id'} component={MovieDetail}/>
            <Route exact path={'/characters'} component={Characters}/>
            <Route exact path={'/discussion'} component={Discussion}/>
            <Route component={NotFound}/>
        </Switch>
        <Footer/>
    </Router>
);


export default App;
