import React from 'react';
import NavigationItem from './NavigationItem';
import './navigationbar.scss';

/**
 *  Definice navigačního baru pomocí pole umožňuje dynamické vykreslení a jedná se o ohebnější přístup,
 *  než 4x kopírovat komponentu <NavigationItem>
 **/
const navigationItems = [
    {
        path: '/',
        label: 'Home',
    },
    {
        path: '/movie',
        label: 'Movie',
    },
    {
        path: '/characters',
        label: 'Characters',
    },
    {
        path: '/discussion',
        label: 'Discussion',
    },
];

/**
 *  Render funkce, která mapuje pole hodnot do komponenty <NavigationItem>
 **/
const renderNavigationItems = (navigationItems) => navigationItems.map((item) => {
    return <NavigationItem path={item.path} label={item.label} key={item.path}/>;
});

const NavigationBar = () => (
    <div className="navigation-bar">
        <div className="navigation-bar__items">
            {renderNavigationItems(navigationItems)}
        </div>
    </div>
);


export default NavigationBar;
