import React from 'react';
import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import { useHistory } from 'react-router-dom';
import './navigationitem.scss';

const NavigationItem = ({ path, label }) => {

    /**
     *  Za použití objektu historie zjistíme, jestli jsme již na přesměrované
     *  url. Porovnáváme url v prohlížeči s hodnotou path v komponentě. Pokud
     *  dojde ke shodě, funkce vyhodnotí jako shodu a dojde k přidání
     *  className "active"
     **/
    const isActive = useHistory().location.pathname === path;

    return (
        <div className="navigation-item">
            <Link className={`navigation-item__link ${isActive && 'active'}`} to={path}>{label}</Link>
        </div>
    );
};

NavigationItem.propTypes = {
    /**
     *   Url, kam má link po kliknutí přesměrovat
     **/
    path: PropTypes.string,
    /**
     *  Popisek navigačního linku, tedy to, co je vidět jako název záložky
     **/
    label: PropTypes.string,
};

export default NavigationItem;
