import React from 'react';
import PropTypes from 'prop-types';
import './message.scss';

const Message = ({ message }) => (
    <div className="message">
        <span>Dne {message.date} uživatel {message.user} napsal/a:</span>
        <hr/>
        <p>{message.content}</p>
    </div>
);

Message.propTypes = {
    /**
     *  Objekt message, z kterého se mapují hodnoty.
     **/
    message: PropTypes.any.isRequired,
};

export default Message;
